Query the channel list
Updated
Retrieves channels under a specified project.
https://api.agora.io/dev/v1/channel/{appid}Use this endpoint to get the list of all channels under a specified project. The channel list is returned by page; specify the page number and page size in the request URL.
Important
The Agora RESTful API supports only HTTPS with TLS 1.0, 1.1, or 1.2. Requests over plain HTTP are not supported.
Note
If the number of users in a channel changes frequently, the query results may be inaccurate. The following situations may occur:
- A channel appears repeatedly on different pages.
- A channel does not appear on any page.
Path Parameters
appidstringThe App ID of the project. You can get it through one of the following methods:
- Copy from the Agora Console
- Call the Get all projects API, and read the value of the
vendor_keyfield in the response body.
Query Parameters
page_nonumberThe page number to query. The default value is 0, which is the first page. The value of page_no cannot exceed (total number of channels / page_size) - 1; otherwise, the specified page contains no channels.
page_sizenumberThe number of channels per page. The value range is [1,500].
Request
-
The request URL and request body is case-sensitive. All requests must use HTTPS.
-
Content-Type:application/json -
The request header must contain the
Authorizationfield. For details, see RESTful authentication.
Response
-
A
200status code indicates success. The response body contains the following parameters: -
If the status code is not
200, the request fails. See themessagefield in the response body for the reason for this failure. Refer to Response status codes for details.
Response Body
A 200 status code indicates success. The response body contains the result of the request.
successbooleanThe state of this request:
true: Success.false: Reserved for future use.
dataobjectChannel statistics.
channelsarray<object>The list of channels. If the specified page contains no channels, this field is empty.
The list of channels. Each object in the array represents one channel and contains the following fields. If the specified page contains no channels, this field is empty.
channel_namestringThe channel name.
user_countnumberThe total number of users in the channel.
total_sizenumberThe total number of channels under the specified project.
Request examples
curl --request GET \ --url 'https://api.sd-rtn.com/dev/v1/channel/<appid>?page_no=0&page_size=100' \ --header 'Accept: application/json' \ --header 'Authorization: Basic <your_base64_encoded_credentials>'Response example
{ "success": true, "data": { "channels": [ { "channel_name": "lkj144", "user_count": 3 } ], "total_size": 1 }}